Get and configure CORS rules for object storage

Retrieve and configure Cross-Origin Resource Sharing (CORS) rules for your object storage. CORS is important for browsers to request resources from one domain to another, which is necessary to display images or load files stored in object storage from your website.

Object Storage Bucket Settings

Context

Path Parameters

name string required Example: f13

name parameter

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.rules array<object> required · Example: [{"allowedOrigins":["*"],"allowedMethods":["GET","PUT","HEAD"],"allowedHeaders":["*"],"...
data.rules[].allowedHeaders array<string> required · Example: ["*"]
data.rules[].allowedMethods array<string> required · Example: ["GET","PUT","HEAD"]
data.rules[].allowedOrigins array<string> required · Example: ["*"]
data.rules[].exposeHeaders array<string> · Example: ["ETag"]
data.rules[].maxAgeSeconds integer · Example: 3600
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/object-storage/buckets/{name}/cors
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/object-storage/buckets/f13/cors" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "rules": [
      {
        "allowedOrigins": [
          "*"
        ],
        "allowedMethods": [
          "GET",
          "PUT",
          "HEAD"
        ],
        "allowedHeaders": [
          "*"
        ],
        "exposeHeaders": [
          "ETag"
        ],
        "maxAgeSeconds": 3600
      }
    ]
  }
}